Bug 1019382 - Section "Registering the SASL Mechanism" contains wrong link
Section "Registering the SASL Mechanism" contains wrong link
Status: CLOSED CURRENTRELEASE
Product: Red Hat Directory Server
Classification: Red Hat
Component: Doc-plugin-programming-guide (Show other bugs)
9.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deon Ballard
Jenny Galipeau
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 11:22 EDT by Petr Spacek
Modified: 2014-07-29 16:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-29 16:43:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Spacek 2013-10-15 11:22:11 EDT
Current text:
8.5.2. Registering the SASL Mechanism
If you are using SASL as the authentication method, you need to register the SASL mechanisms that you plan to use.
In your initialization function (see Section 2.2, “Writing Plug-in Initialization Functions”), call the Chapter 22, Functions for Syntax Plug-ins function and specify the name of the SASL mechanism. For example:

slapi_register_supported_saslmechanism( "babsmechanism" );
...


Please note the part "Chapter 22, Functions for Syntax Plug-ins". This link (and chapter name) seems incorrect. I'm not expert in this area, but I guess that there should be link to "Chapter 28. Functions Specific to Bind Methods".


Version-Release number of selected component (if applicable):
https://access.redhat.com/site/documentation/en-US/Red_Hat_Directory_Server/9.0/html-single/Plug-in_Guide/index.html#Plugin_Programming_Guide-Defining_Functions_for_Authentication-Writing_a_Pre_Operation_Bind_Plug_in
Public version at 2013-10-15T17:18+0200
Comment 1 Deon Ballard 2014-01-22 16:39:52 EST
Quite right and nice catch!
Comment 2 Deon Ballard 2014-07-29 16:43:40 EDT
Mass closure of published bugs.

Note You need to log in before you can comment on or make changes to this bug.